module.exports = {
  create: {
    requestBody: ['type', 'config', 'show_index', 'share', 'cover', 'act_time', 'content', 'is_use', 'sort'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['type', 'config', 'show_index', 'share', 'cover', 'act_time', 'content', 'is_use', 'sort'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        is_use: 'is_use',
        show_index: 'show_index',
        title: '%act_time.title%',
        type: 'type',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
